Package org.apache.xmlbeans.impl.xpath.saxon

## Class SaxonXQuery

- java.lang.Object
- - org.apache.xmlbeans.impl.xpath.saxon.SaxonXQuery

- All Implemented Interfaces:
    `XQuery`

      public class SaxonXQuery
      extends Object
      implements XQuery

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SaxonXQuery​(String query, String contextVar, Integer boundary, XmlOptions xmlOptions)` | Construct given an XQuery expression string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `XmlCursor` | `cursorExecute​(Cur c, XmlOptions options)` |
    `List<Object>` | `execQuery​(Object node, Map<String,​Object> variableBindings)` |
    `XmlObject[]` | `objectExecute​(Cur c, XmlOptions options)` |
    `void` | `release()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaxonXQuery

          public SaxonXQuery​(String query,
                             String contextVar,
                             Integer boundary,
                             XmlOptions xmlOptions)

      Construct given an XQuery expression string.
      Parameters:
        `query` - The XQuery expression
        `contextVar` - The name of the context variable
        `boundary` - The offset of the end of the prolog

  - ### Method Detail

    - #### objectExecute

          public XmlObject[] objectExecute​(Cur c,
                                           XmlOptions options)

      Specified by:
        `objectExecute` in interface `XQuery`

    - #### cursorExecute

          public XmlCursor cursorExecute​(Cur c,
                                         XmlOptions options)

      Specified by:
        `cursorExecute` in interface `XQuery`

    - #### execQuery

          public List<Object> execQuery​(Object node,
                                        Map<String,​Object> variableBindings)

    - #### release

          public void release()